Get Opportunity
Get Opportunity
GET
/
opportunities
/
{id}
Get Opportunity
curl --request GET \
--url https://services.leadconnectorhq.com/opportunities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/opportunities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/opportunities/{id}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"opportunity": {
"id": "yWQobCRIhRguQtD2llvk",
"name": "testing",
"monetaryValue": 500,
"pipelineId": "VDm7RPYC2GLUvdpKmBfC",
"pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
"assignedTo": "zT46WSCPbudrq4zhWMk6",
"status": "open",
"source": "",
"lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
"lastStageChangeAt": "2021-08-03T04:55:17.355Z",
"lastActionDate": "2021-08-03T04:55:17.355Z",
"indexVersion": 1,
"createdAt": "2021-08-03T04:55:17.355Z",
"updatedAt": "2021-08-03T04:55:17.355Z",
"contactId": "zT46WSCPbudrq4zhWMk6",
"locationId": "zT46WSCPbudrq4zhW",
"contact": {
"id": "byMEV0NQinDhq8ZfiOi2",
"name": "John Deo",
"companyName": "Tesla Inc",
"email": "john@deo.com",
"phone": "+1202-555-0107",
"tags": [
"<string>"
]
},
"notes": [
"<array>"
],
"tasks": [
"<array>"
],
"calendarEvents": [
"<array>"
],
"lostReasonId": "zT46WSCPbudrq4zhWMk6",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"fieldValue": "<string>"
}
],
"followers": [
"<array>"
]
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
Opportunity Id
Example:
"yWQobCRIhRguQtD2llvk"
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Get Opportunity
curl --request GET \
--url https://services.leadconnectorhq.com/opportunities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'GET',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/opportunities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/opportunities/{id}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"opportunity": {
"id": "yWQobCRIhRguQtD2llvk",
"name": "testing",
"monetaryValue": 500,
"pipelineId": "VDm7RPYC2GLUvdpKmBfC",
"pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
"assignedTo": "zT46WSCPbudrq4zhWMk6",
"status": "open",
"source": "",
"lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
"lastStageChangeAt": "2021-08-03T04:55:17.355Z",
"lastActionDate": "2021-08-03T04:55:17.355Z",
"indexVersion": 1,
"createdAt": "2021-08-03T04:55:17.355Z",
"updatedAt": "2021-08-03T04:55:17.355Z",
"contactId": "zT46WSCPbudrq4zhWMk6",
"locationId": "zT46WSCPbudrq4zhW",
"contact": {
"id": "byMEV0NQinDhq8ZfiOi2",
"name": "John Deo",
"companyName": "Tesla Inc",
"email": "john@deo.com",
"phone": "+1202-555-0107",
"tags": [
"<string>"
]
},
"notes": [
"<array>"
],
"tasks": [
"<array>"
],
"calendarEvents": [
"<array>"
],
"lostReasonId": "zT46WSCPbudrq4zhWMk6",
"customFields": [
{
"id": "MgobCB14YMVKuE4Ka8p1",
"fieldValue": "<string>"
}
],
"followers": [
"<array>"
]
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}